#
# spec file for package perl-Net-DNS-Lite
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-DNS-Lite
Version:        0.12
Release:        1.1
%define cpan_name Net-DNS-Lite
Summary:        Pure-Perl Dns Resolver with Support for Timeout
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-DNS-Lite/
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZUHO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
Requires:       perl(List::MoreUtils)
%{perl_requires}

%description
This module provides a replacement function for Socket::inet_aton, with
support for timeouts.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

# test require online access
#%check
#%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix automated changes
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Net-DNS-Lite/Changes
  0.12
  - fix handling of MX records (by fujiwara)
  0.11
  - ignore ipv6 addresses in resolve.conf, since we do not yet support DNS queries transferred over IPv6
  0.10
  - fix documentation issue (by tokuhirom)
  0.09
  - support for the "attempts" field in resolve.conf (by kazeburo)
  0.08
  - temporary disable timeout test (due to the expiration of the domain used for testing)
  0.07
  - remove implicit dependency on AnyEvent
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Net-DNS-Lite/Changes
  0.08
  - temporary disable timeout test (due to the expiration of the domain used for testing)
  0.07
  - remove implicit dependency on AnyEvent
* Wed Feb 16 2011 pascal.bleser@opensuse.org
- update to 0.06: do not send unnecessary packets on DNS timeout
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov 25 2010 pascal.bleser@opensuse.org
- update to 0.05:
  * add support for internal cache
* Mon Nov 22 2010 pascal.bleser@opensuse.org
- initial package (0.04)
